<?php

require_once('app/Mage.php');
Mage::app();

// --------------------------------------------------
// --- delete tables and records of the extension ---
// --------------------------------------------------

$db = Mage::getSingleton('core/resource')->getConnection('core_write');
$table_prefix = Mage::getConfig()->getTablePrefix();
$db->query("DELETE FROM `{$table_prefix}core_resource` WHERE `code` = 'advancedslider_setup' LIMIT 1");
$db->query("DELETE FROM `{$table_prefix}core_config_data` WHERE `path` LIKE  'advancedslider/%'");
$db->query("DROP TABLE IF EXISTS `{$table_prefix}advancedslider_slides`");
$db->query("DROP TABLE IF EXISTS `{$table_prefix}advancedslider_insertion`");
$db->query("DROP TABLE IF EXISTS `{$table_prefix}advancedslider_sliders`");

// -----------------------------
// --- delete files and dirs ---
// -----------------------------

function deleteDirectories($path)
{
    if (!is_dir($path)) return false;
    $dir = opendir($path);
    while (($file = readdir($dir)) !== false)
    {
        if ($file != '.' && $file != '..')
        {
            $item = $path . '/' . $file;
            if (is_dir($item))
                deleteDirectories($item);
            else if (file_exists($item))
                unlink($item);
        }
    }
    closedir($dir);
    rmdir($path);
}

$list = array(
    'app/etc/modules/WP_AdvancedSlider.xml',
    'app/design/adminhtml/default/WP/layout/advancedslider.xml',
    'app/design/adminhtml/default/WP/template/advancedslider',
    'app/design/frontend/default/default/layout/webandpeople/advancedslider.xml',
    'app/design/frontend/default/default/template/webandpeople/advancedslider',
    'app/code/community/WP/AdvancedSlider',
    'js/mage/adminhtml/wysiwyg/tiny_mce/plugins/wpcaptioncreator',
    'js/webandpeople/advancedslider',
    'readme.txt',
    'skin/adminhtml/default/WP/advancedslider',
    'skin/frontend/default/default/js/webandpeople/advancedslider',
    'skin/frontend/default/default/images/webandpeople/advancedslider',
    'skin/frontend/default/default/css/webandpeople/advancedslider',
);

$rootDir = dirname(__FILE__);

foreach ($list as $item)
{
    $del = $rootDir . '/' . $item;
    if (is_dir($del)) deleteDirectories($del);
        else if (file_exists($item))
            unlink($del);
}

// ---------------
// --- finish! ---
// ---------------
echo 'Magento Total Slider Manager has been removed successfully!';
